curl --request GET \
--url https://app.apigene.ai/api/context \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.apigene.ai/api/context"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.apigene.ai/api/context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"apps": [],
"summary": "",
"when_to_use": "",
"type": "",
"status": "active"
}
]Context List
Endpoint to list all active contexts associated with the current tenant. Note: Only returns active contexts and does not include the description field.
Args:
Returns:
List[ContextListItem]: A list of all active ContextListItem model instances (without description).
Raises: HTTPException 500: If an error occurs while retrieving contexts from the database.
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Response
Successful Response
Unique identifier for the context
Name of the context
User who created the context
The date and time when the context was created.
The date and time when the context was last updated.
List of associated apps
A short summary about the context
A short summary explaining to LLM when to apply the context
A string to classify the context type
Status of the context: active or disabled
